#ifndef __CLOCK_H
#define __CLOCK_H

#define BUZZER          PORTB.1        	//   !!!!!!!!!
#define BUTTON          PIND.0        	//    
#define count           150            	//   
#define bright_max      15            	//   
#define key_reset       KEYS[key]=0; key_delay=count; mode_reset = 4500; if (sounder) {TCCR1A = 0x40; OCR1A=0x082F;} else BUZZER = 1;//   ,  , 
#define BTN_MODE		KEYS[1]			//   
#define BTN_NEXT		KEYS[2]			//   
#define BTN_SET			KEYS[3]			//   
#define BTN_SAVE		KEYS[4]			//  

//#define DOT(X)			data[6+X]		//
#define decoder_out(X)	PORTC.2 = DECOD[X]&0x01; PORTC.0 = DECOD[X]&0x02; PORTB.2 = DECOD[X]&0x04; PORTC.1 = DECOD[X]&0x08; //    

//#define ADC_VREF_TYPE	0x40			//   

//    // "0" "1" "2" "3" "4" "5" "6" "7" "8" "9"
flash unsigned char DECOD[] = {3,  2,  7,  4,  1,  9,  8,  0,  5,  6, 0x10};	// 

//     
eeprom unsigned char EEP_ALARM[10][2]={{0,0},{0,0},{0,0},{0,0},{0,0},{0,0},{0,0},{0,0},{0,0},{0,0}};
//eeprom unsigned char EEP_alarm_day[10]={0,0,0,0,0,0,0,0,0,0};
eeprom unsigned char EEP_alarm_on[10]={0,0,0,0,0,0,0,0,0,0};
eeprom unsigned char EEP_SET[3] = {0, 0, 0};
eeprom unsigned char EEP_depoison = 0;
/*-----------------------------    ---------------------------------------*/
//        	  //  1    1/2  1/4  1/8 1/16 1/32 1/64
flash unsigned int	delay[] = {0, 960, 480, 240, 120,  60,  30,  15};
//   
flash unsigned int	div[] = {0,14090,13300,12553,11848,11183,10556,9964,9404,8876,8378,7908,7464,
								7045,6650,6277,5924,5592,5278,4982,4702,4438,4189,3954,3732,
								3523,3325,3138,2962,2796,2639,2491,2351,2219,2095,1977,1866};

// 
flash unsigned char mel1[]={A_1_8, E_1_8, A_1_8, E_1_8, A_1_8, Gd_1_8, Gd_1_4, Gd_1_8,
				 E_1_8, Gd_1_8, E_1_8, Gd_1_8, A_1_8, A_1_4, A_1_8, E_1_8, A_1_8, E_1_8, A_1_8,
				 Gd_1_8, Gd_1_4, Gd_1_8, E_1_8, Gd_1_8, E_1_8, Gd_1_8, A_1_4, P8, A_1_8,
				 H_1_8, H_1_16, H_1_16, H_1_8, H_1_8, C_2_8, C_2_16, C_2_16, C_2_8, C_2_8, C_2_8, H_1_8, A_1_8, Gd_1_8, A_1_8, A_1_4, A_1_8,
				 H_1_8, H_1_16, H_1_16, H_1_8, H_1_8, C_2_8, C_2_16, C_2_16, C_2_8, C_2_8, C_2_8, H_1_8, A_1_8, Gd_1_8, A_1_8, A_1_2, 255};

flash unsigned char mel0[]={A_2_16, P16, A_2_16, P16, A_2_16, P2, 255};

//   
flash unsigned char	*mel[] = {mel0, mel1};

//    
flash unsigned char	*nota;
unsigned char	f_nota, d_nota, next_nota=1;
unsigned int	nota_time;


//--------------------------------------------------------------------
//#define	anod_1		PORTD.6
//#define	anod_2		PORTD.5
//#define	anod_3		PORTD.4
//#define	anod_4		PORTD.1
//#define	anod_5		PORTD.2
//#define	anod_6		PORTD.3
//#define	anod_7		PORTD.7



#endif /*__CLOCK_H*/
